Add a button "continue editing" after right clicking the mouse when digitizing new geometries
Status: Open

Priority: Normal

Assignee:

Category: Digitising

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14388

Description

When you are adding a new polygon and have just painstakingly traced out a new feature and you accidentally right click to soon there is

now way to go back and continue editing. Editing the polygon is not always practical and in trying to recreate the problem for this issue I

have managed to reliably crash QGIS when trying to edit a wrongly created polygon. I am attaching an image to show my dilemma hoping

it makes things more clear.

History

#1 - 2011-10-29 02:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

Sorry, one question. After the involuntary right click, which stops editing a geomtery, but not remove it, what is stopping you from restarting to edit the same

geometry with the "node toll " tool?

#2 - 2011-10-29 02:43 PM - Gerhardus Geldenhuis

It is possible to edit it with the node tool but painful. Yes I can add new nodes and manipulate them but I can't get back into the same "mode" of editing that

I were before which makes editing a lot easier. If I need to use the node tool I have to click on the line and then drag the point rather than just clicking a new

point. The attached image is only a small example. If the polygon that you are adding stretches over a larger area and you are halfway in the process when

the accidental click happens then rescuing with the node tool is not ideal. It is also not clear from the node tool what I were doing before. If the node tool

could put the polygon back into "freshly created" mode that would be brilliant but first price would still be just a small button saying "Go back to edit mode"

or something to that effect.

#3 - 2011-10-29 02:47 PM - Giovanni Manghi

Gerhardus Geldenhuis wrote:

It is possible to edit it with the node tool but painful. Yes I can add new nodes and manipulate them but I can't get back into the same "mode" of

editing that I were before which makes editing a lot easier. If I need to use the node tool I have to click on the line and then drag the point rather than

just clicking a new point. The attached image is only a small example. If the polygon that you are adding stretches over a larger area and you are

halfway in the process when the accidental click happens then rescuing with the node tool is not ideal. It is also not clear from the node tool what I

were doing before. If the node tool could put the polygon back into "freshly created" mode that would be brilliant but first price would still be just a

small button saying "Go back to edit mode" or something to that effect.

Another question (just to understand if you are using the node tool the right way): you know that the node tool also add nodes? just double click on any

point of a segment... this change the picture?
#4 - 2011-10-29 02:49 PM - Giovanni Manghi

Gerhardus Geldenhuis wrote:

It is possible to edit it with the node tool but painful. Yes I can add new nodes and manipulate them but I can't get back into the same "mode" of

editing that I were before which makes editing a lot easier. If I need to use the node tool I have to click on the line and then drag the point rather than

just clicking a new point. The attached image is only a small example. If the polygon that you are adding stretches over a larger area and you are

halfway in the process when the accidental click happens then rescuing with the node tool is not ideal. It is also not clear from the node tool what I

were doing before. If the node tool could put the polygon back into "freshly created" mode that would be brilliant but first price would still be just a

small button saying "Go back to edit mode" or something to that effect.

in any case what is your suggestion here? add an option to get a warning message like "really stop editing" every time the right button is clicked?

#5 - 2011-10-29 02:54 PM - Gerhardus Geldenhuis

Hi 

Yes, I am aware that the node tool can add new nodes, well I just learned it when first typing this request. However adding new nodes with the node tool is

not the same as adding new polygon because I don't have the semi transparent polygon guiding what I want to do and the raster underneath is also not

visible any more. I might also be tracing a river from north to south over a large extend of the map and having arrived at the bottom of the map make my

accidental click. Fixing this with the node tool by adding new nodes and dragging them all the way back up the map is painful and not ideal.

#6 - 2011-10-29 02:57 PM - Giovanni Manghi

Gerhardus Geldenhuis wrote:

Hi 

Yes, I am aware that the node tool can add new nodes, well I just learned it when first typing this request. However adding new nodes with the node

tool is not the same as adding new polygon because I don't have the semi transparent polygon guiding what I want to do and the raster underneath

is also not visible any more. I might also be tracing a river from north to south over a large extend of the map and having arrived at the bottom of the

map make my accidental click. Fixing this with the node tool by adding new nodes and dragging them all the way back up the map is painful and not

ideal.

the warning message (as option, not by default for sure) as suggested above would be helpful?

#7 - 2011-10-29 02:58 PM - Giovanni Manghi

I'm asking because the summary of this ticket need to be changed, seems to me wrong and do not describe well the situation and/or how to avoid it

#8 - 2011-10-29 03:04 PM - Gerhardus Geldenhuis

I am suggesting the following:

When you right click you get a dialog box showing the attributes that you have defined for the layer and two buttons: Cancel and Ok.

Cancel should either Cancel the right click and continue the creation of the polygon or there should be a third button that says "Continue Editing" which

should take you back to polygon edit mode and disregard the last right click enabling you to finish the polygon.

I am happy if you want to change the summary. At the time it was the most appropriate I could think of. I found it a bit difficult to capture accurately in

words.
#9 - 2011-10-29 03:08 PM - Giovanni Manghi

- Subject changed from Accidental right click looses work to Add a button "continue editing" after right clicking the mouse when digitizing new 

geometries

- Category changed from GUI to Digitising

- Status changed from Feedback to Open

- Target version set to Version 2.0.0

When you right click you get a dialog box showing the attributes that you have defined for the layer and two buttons: Cancel and Ok.

this is already the default behavior of QGIS

Cancel should either Cancel the right click and continue the creation of the polygon or there should be a third button that says "Continue Editing"

which should take you back to polygon edit mode and disregard the last right click enabling you to finish the polygon.

"cancel" at the moment destroy the edits, so the third button with "continue editing" seems appropriate

#10 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#11 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

Files
